TakenAt: 2024-04-04T08:41:35Z
TakenAtLocal: 2024-04-04T09:41:35Z
TakenSrc: meta
UID: pt67x3jlyu8p7yc0
Type: image
Title: Bag / Petersfield / 2024
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 70
Lat: 51.00539444444444
Lng: -0.9518555555555556
Year: 2024
Month: 4
Day: 4
ISO: 640
Exposure: 1/50
FNumber: 2.2
FocalLength: 24
Quality: 4
Details:
  Keywords: bag, bedford, blue, england, laboratories, petersfield, recents, road,
    united-kingdom, whitman
  Software: 17.4.1
  SoftwareSrc: meta
CreatedAt: 2025-11-24T06:38:07Z
UpdatedAt: 2025-11-24T09:28:47Z
